<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://accountBgdBrowse.caption"
        focusComponent="accountBgdsTable">
    <data readOnly="true">
        <collection id="accountBgdsDc"
                    class="com.company.management.entity.wallet.AccountBgd">
            <fetchPlan extends="_base">
                <property name="regType"/>
                <property name="unitMeasure"/>
                <property name="walletType"/>
            </fetchPlan>
            <loader id="accountBgdsDl">
                <query>
                    <![CDATA[select e from AccountBgd e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="accountBgdsTable" spacing="true">
        <filter id="filter"
                dataLoader="accountBgdsDl">
            <properties include=".*"/>
        </filter>
        <table id="accountBgdsTable"
               width="100%"
               dataContainer="accountBgdsDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="acctNumber"/>
                <column id="createdBy"/>
                <column id="createdDate"/>
                <column id="currentAmount"/>
                <column id="deletedBy"/>
                <column id="deletedDate"/>
                <column id="lastModifiedBy"/>
                <column id="lastModifiedDate"/>
                <column id="reg"/>
                <column id="regType"/>
                <column id="unitMeasure"/>
                <column id="version"/>
                <column id="walletType"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="accountBgdsTable.create"/>
                <button id="editBtn" action="accountBgdsTable.edit"/>
                <button id="removeBtn" action="accountBgdsTable.remove"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
